Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Compartment

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.model.DiagramElement
                        |
                        +--biouml.model.Node
                              |
                              +--biouml.model.Compartment

Direct Known Subclasses:
  Diagram, EquivalentNodeGroup

public class Compartment
extends Node
implements DataCollection

General definition of the compartment as a container for nodes and edges between them.

Field Summary
`final static int` | `SHAPE_ELLIPSE`
`final static int` | `SHAPE_RECTANGLE`
`final static int` | `SHAPE_ROUND_RECTANGLE`

Fields inherited from class biouml.model.Node
`background`

Constructor Summary
`Compartment(DataCollection parent, String id, Base kernel)`
`Compartment(DataCollection parent, Base kernel)`

Method Summary
`void` | `addDataCollectionListener(DataCollectionListener l)`
`DiagramElement` | `clone(Compartment compartment, Compartment newParent, String newName)`
`DiagramElement` | `clone(Compartment newParent, String newName)`
`void` | `close()`
`boolean` | `contains(String name)`
`boolean` | `contains(DataElement de)`
`Node` | `findNode(String id)`
`DataElement` | `get(String name)`
`String` | `getCompleteName()`
`Class` | `getDataElementType()`
`DataCollectionInfo` | `getInfo()`
`List` | `getNameList()`
`Color` | `getShapeColor()`
`Dimension` | `getShapeSize()`
`int` | `getShapeType()`
`int` | `getSize()`
`void` | `init()`
`boolean` | `isMutable()`
`Iterator` | `iterator()`
`void` | `propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)`
`void` | `propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)`
`DataElement` | `put(DataElement obj)`
`DataElement` | `remove(String name)`
`void` | `removeDataCollectionListener(DataCollectionListener l)`
`void` | `setShapeColor(Color shapeColor)`
`void` | `setShapeSize(Dimension shapeSize)`
`void` | `setShapeType(int shapeType)`

Methods inherited from class biouml.model.Node
`addEdge, edgeIterator, findCommonOrigin, getBackground, getImage, getLocation, removeEdge, setBackground, setImage, setLocation, setLocation`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### SHAPE_ELLIPSE

    public final static int SHAPE_ELLIPSE

### SHAPE_RECTANGLE

    public final static int SHAPE_RECTANGLE

### SHAPE_ROUND_RECTANGLE

    public final static int SHAPE_ROUND_RECTANGLE

Constructor Detail

### Compartment

    public Compartment(DataCollection parent, String id, Base kernel)

### Compartment

    public Compartment(DataCollection parent, Base kernel)

Method Detail

### addDataCollectionListener

    public void addDataCollectionListener(DataCollectionListener l)

  pending replace

### clone

    public DiagramElement clone(Compartment compartment, Compartment newParent, String newName)

### clone

    public DiagramElement clone(Compartment newParent, String newName)

### close

    public void close()
                throws java.lang.Exception

  pending to think

### contains

    public boolean contains(String name)

### contains

    public boolean contains(DataElement de)

### findNode

    public Node findNode(String id)
                   throws java.lang.Exception

### get

    public DataElement get(String name)
                     throws java.lang.Exception

### getCompleteName

    public String getCompleteName()

### getDataElementType

    public Class getDataElementType()

### getInfo

    public DataCollectionInfo getInfo()

### getNameList

    public List getNameList()

### getShapeColor

    public Color getShapeColor()

### getShapeSize

    public Dimension getShapeSize()

### getShapeType

    public int getShapeType()

### getSize

    public int getSize()

### init

    public void init()

  pending to think

### isMutable

    public boolean isMutable()

### iterator

    public Iterator iterator()

### propagateElementChanged

    public void propagateElementChanged(DataCollection source, DataCollectionEvent primaryEvent)

  todo comment

### propagateElementWillChange

    public void propagateElementWillChange(DataCollection source, DataCollectionEvent primaryEvent)

  todo comment

### put

    public DataElement put(DataElement obj)
                     throws java.lang.Exception

### remove

    public DataElement remove(String name)
                        throws java.lang.Exception

### removeDataCollectionListener

    public void removeDataCollectionListener(DataCollectionListener l)

  pending replace

### setShapeColor

    public void setShapeColor(Color shapeColor)

### setShapeSize

    public void setShapeSize(Dimension shapeSize)

### setShapeType

    public void setShapeType(int shapeType)

Association Links

to Class org.apache.log4j.Category

to Class java.awt.Color

to Class java.awt.Dimension

to Class ru.biosoft.access.DataCollection

  Primary collection.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM